Bug 461496 - When changing a song, the app's icon is displayed for a split second
Summary: When changing a song, the app's icon is displayed for a split second
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Plasma
Component: Media Player (show other bugs)
Version: 5.26.2
Platform: OpenSUSE Linux
: NOR minor
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2022-11-06 13:19 UTC by postix
Modified: 2022-11-14 15:56 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.26.4


Attachments
Screen recording. (338.48 KB, video/x-matroska)
2022-11-06 13:19 UTC, postix
Details

Note You need to log in before you can comment on or make changes to this bug.
Description postix 2022-11-06 13:19:40 UTC
Created attachment 153522 [details]
Screen recording.

SUMMARY

This is a purely aesthetic issue. When changing a song, the app's icon is displayed for a split second, which is visually annoying. Please see the screen recording.


SOFTWARE/OS VERSIONS
Operating System: openSUSE Tumbleweed 20221104
KDE Plasma Version: 5.26.2
KDE Frameworks Version: 5.99.0
Qt Version: 5.15.7
Graphics Platform: Wayland
Graphics Processor: AMD Radeon RX 580 Series
Comment 1 Fushan Wen 2022-11-08 02:16:48 UTC
I have an idea: delay showing the app icon for a short moment
Comment 2 Bug Janitor Service 2022-11-13 03:40:39 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/2324
Comment 3 Fushan Wen 2022-11-14 15:53:12 UTC
Git commit cb89df0fbd1ddf7f95c7270e5bc6def83b3705ea by Fushan Wen.
Committed on 14/11/2022 at 15:53.
Pushed by fusionfuture into branch 'master'.

applets/mediacontroller: avoid flashing application icon

When the link of album art is available but StackView is empty, hide the
fallback icon to prevent the icon from suddenly appearing and
disappearing.
FIXED-IN: 5.26.4

M  +20   -12   applets/mediacontroller/contents/ui/AlbumArtStackView.qml

https://invent.kde.org/plasma/plasma-workspace/commit/cb89df0fbd1ddf7f95c7270e5bc6def83b3705ea
Comment 4 Fushan Wen 2022-11-14 15:56:16 UTC
Git commit 48a32ad19d63017e96a59d62c93b370df396f34b by Fushan Wen.
Committed on 14/11/2022 at 15:56.
Pushed by fusionfuture into branch 'Plasma/5.26'.

applets/mediacontroller: avoid flashing application icon

When the link of album art is available but StackView is empty, hide the
fallback icon to prevent the icon from suddenly appearing and
disappearing.
FIXED-IN: 5.26.4


(cherry picked from commit cb89df0fbd1ddf7f95c7270e5bc6def83b3705ea)

M  +20   -12   applets/mediacontroller/contents/ui/AlbumArtStackView.qml

https://invent.kde.org/plasma/plasma-workspace/commit/48a32ad19d63017e96a59d62c93b370df396f34b